# Cluster list stored in working-copy storage located in {{ sx_git_local_path }}

{% for clusterPath in sx_git_list_clusters.files %}
{% set state = "\e[34m(defined)   \e[0m" %}
{% set url = "" %}
{% set kubeconfig = "" %}
{% set config = lookup( 'file' , clusterPath.path + '/install-config.yaml', errors='ignore' ) %}
{% if config is not none %}
{% set config = config | from_yaml %}
{% set state = "\e[36m(configured)\e[0m" %}
{% endif %}
{% set metadata = lookup( 'file' , clusterPath.path + '/metadata.json', errors='ignore' ) %}
{% if metadata is not none %}
{% set metadata = metadata | from_json %}
{% set state = "\e[33m(deploying) \e[0m" %}
{% endif %}
{% set deployedflag = lookup( 'file' , clusterPath.path + '/.is-deployed', errors='ignore' ) %}
{% if deployedflag is not none %}
{% set state = "\e[32m(deployed)  \e[0m" %}
{% set kubeconfig = lookup( 'file' , clusterPath.path + '/auth/kubeconfig', errors='ignore' | from_yaml ) %}
{% if kubeconfig is not none %}
{% set url = kubeconfig.clusters[0].cluster.server %}
{% endif %}
{% set startedflag = lookup( 'file' , clusterPath.path + '/.is-started', errors='ignore' ) %}
{% if startedflag is not none %}
{% set state = "\e[92m(started)   \e[0m" %}
{% endif %}
{% endif %}
{% if config is none %}
\e[1m\e[31m{{ "%-12s" | format("ERROR") }}\e[0m \e[1m{{ "%-15s" | format( clusterPath.path | basename) }}\e[0m Could find \e[1minstall-config.yaml\e[0m in {{ clusterPath.path }}
{% else %}
{{ state }} \e[1m{{ "%-15s" | format(config.metadata.name) }}\e[0m {{ url }} {{ config.metadata.annotations.description }}
{% endif %}
{% endfor %}
